
* II.CMD
SET TALK OFF
DELETE FILE $$$.SUB
SET BELL OFF
SET SCREEN ON
SET FORMAT TO SCREEN
SET ECHO OFF
SET CONSOLE ON
SET ALTERNATE OFF
STORE T TO MAINFLG
DO WHILE MAINFLG
   ERASE
STORE "        "TO Mdate
@  2,50 SAY "DATUM" GET Mdate
@  6,20 SAY "**************"
@  7,20 SAY "* HOOFD MENU *"
@  8,20 SAY "**************"
@ 10,20 SAY "1. INSTELLEN VAN DATUM"
@ 12,20 SAY "2. dBASE II COMMANDS"
@ 14,20 SAY "3. EEN CP/M COMMANDO RUNNEN"
@ 16,20 SAY "4. TERUG NAAR dBASE"
@ 18,20 SAY "BEPAAL UW KEUZE"
store "1" to Mchoice
@ 19,54 SAY "UW KEUZE ->" GET Mchoice PICTURE "#"
READ

DO CASE
CASE Mchoice = "1"
    SET CONFIRM ON
    SET COLON OFF
    ERASE
    STORE "        " TO Mdate
    @ 10,20 SAY "TIK DATUM IN (MM/DD/YY): "GET Mdate PICTURE '99/99/99'
    READ
    SET DATE TO &Mdate
    SET COLON ON
    SET CONFIRM ON

CASE Mchoice = "2"
    DO CMDS

CASE Mchoice = "3"
    DO RUNCOM

CASE Mchoice = "4"
    SET TALK ON
    SET BELL ON
    RETURN

ENDCASE
ENDDO MAINFLG
SET TALK ON 
RETURN